## plasma-mobile 6.5.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014-2020 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2017-2021 Bhushan Shah <bshah@kde.org>
# SPDX-FileCopyrightText: 2019-2021 Nicolas Fella <nicolas.fella@kde.org>
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.24)

project(plasma-mobile)
set(PROJECT_VERSION "6.5.0")

set(PROJECT_DEP_VERSION "6.5.0")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(INSTALL_SYSTEMD_SERVICE "Install a systemd service file to start the session" OFF)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(KF_IGNORE_PLATFORM_CHECK ON CACHE BOOL "Don't check platform that is being built on")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMFindQmlModule)
include(ECMGenerateQmlTypes)
include(ECMConfiguredInstall)
include(ECMFindQmlModule)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(FeatureSummary)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMA_MOBILE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Qml
    Quick
    Gui
    Sensors
    WaylandClient
)

if(Qt6WaylandClient_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6 REQUIRED COMPONENTS WaylandClientPrivate)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    GlobalAccel
    KIO
    Config
    DBusAddons
    ItemModels
    Service
    Notifications
    ModemManagerQt
    NetworkManagerQt
    KCMUtils
    Package
    JobWidgets
)

find_package(Plasma CONFIG REQUIRED)
find_package(PlasmaQuick CONFIG REQUIRED)
find_package(PlasmaActivities CONFIG REQUIRED)
find_package(KF6Screen CONFIG REQUIRED)
find_package(KWayland CONFIG REQUIRED)
find_package(KPipeWire ${PROJECT_DEP_VERSION} REQUIRED)

find_package(PkgConfig REQUIRED)

find_package(QCoro6 REQUIRED COMPONENTS DBus Qml)
qcoro_enable_coroutines()
kde_enable_exceptions()

pkg_check_modules(GOBJECT gobject-2.0 REQUIRED IMPORTED_TARGET)
pkg_check_modules(GIO gio-2.0 REQUIRED IMPORTED_TARGET)

find_package(KF6KirigamiAddons 0.6 REQUIRED)
find_package(epoxy REQUIRED)
find_package(XCB REQUIRED COMPONENTS XCB)
find_package(KWin ${PROJECT_DEP_VERSION} REQUIRED COMPONENTS
    kwin
)

find_package(LayerShellQt REQUIRED)
find_package(Wayland REQUIRED)
find_package(PlasmaWaylandProtocols 1.8 CONFIG)
set_package_properties(PlasmaWaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Plasma-specific Wayland protocols"
    URL "https://invent.kde.org/libraries/plasma-wayland-protocols/"
)


find_package(LibKWorkspace CONFIG REQUIRED)
find_package(Libudev REQUIRED)

find_package(KWinDBusInterface)
set_package_properties(KWinDBusInterface PROPERTIES DESCRIPTION "KWin DBus interface"
    TYPE REQUIRED
    PURPOSE "Needed for virtual keyboard toggle button"
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Auth)
set_package_properties(KF6::AuthCore PROPERTIES
    TYPE REQUIRED
    PURPOSE "Allows Plasma Mobile to configure Waydroid"
)

include(CheckIncludeFiles)

ecm_find_qmlmodule(org.kde.pipewire 0.1)

plasma_install_package(lookandfeel org.kde.breeze.mobile look-and-feel lookandfeel)
plasma_install_package(shell org.kde.plasma.mobileshell shells)

add_subdirectory(bin)
add_subdirectory(components)
add_subdirectory(containments)
add_subdirectory(quicksettings)
add_subdirectory(kcms)
add_subdirectory(kded)
add_subdirectory(kwin)
add_subdirectory(envmanager)
add_subdirectory(initialstart)
add_subdirectory(layout-templates)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

find_program(PlasmaOpenSettings plasma-open-settings)
set_package_properties(PlasmaOpenSettings PROPERTIES
                                          URL https://invent.kde.org/plasma/kde-cli-tools/
                                          DESCRIPTION "Opens KCMs properly"
                                          TYPE RUNTIME
                                          PURPOSE "Used on the top panel")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

if (INSTALL_SYSTEMD_SERVICE)
    install(FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/plasma-mobile.service
        DESTINATION ${KDE_INSTALL_SYSTEMDUNITDIR}
    )
endif()

=== components/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Devin Lin <devin@kde.org>
# SPDX-FileCopyrightText: 2017-2021 Marco Martin <mart@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(waydroidintegrationplugin)
add_subdirectory(hapticsplugin)
add_subdirectory(mmplugin)
add_subdirectory(mobileshell)
add_subdirectory(mobileshellstate)
add_subdirectory(quicksettingsplugin)
add_subdirectory(rotationplugin)
add_subdirectory(windowplugin)
add_subdirectory(shellsettingsplugin)
add_subdirectory(wallpaperimageplugin)
add_subdirectory(dpmsplugin)
add_subdirectory(screenbrightnessplugin)
add_subdirectory(raiselockscreenplugin)

=== containments/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2019 Marco Martin <mart@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(panel)
add_subdirectory(homescreens)
add_subdirectory(taskpanel)

=== components/hapticsplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set_source_files_properties(dbus/org.sigxcpu.Feedback.Haptic.xml PROPERTIES INCLUDE vibrationevent.h)
qt_add_dbus_interfaces(dbusinterface_SRCS
    dbus/org.sigxcpu.Feedback.Haptic.xml)

ecm_add_qml_module(hapticsplugin URI org.kde.plasma.private.mobileshell.hapticsplugin GENERATE_PLUGIN_SOURCE)
target_sources(hapticsplugin PRIVATE
    vibrationevent.h
    vibrationmanager.cpp
    ${dbusinterface_SRCS}
)

target_link_libraries(hapticsplugin PRIVATE
    Qt::Qml
    Qt::DBus
    KF6::CoreAddons
    KF6::I18n
    QCoro::DBus
    QCoro::Qml
)

ecm_finalize_qml_module(hapticsplugin)

=== components/mmplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Tobias Fella <fella@posteo.de>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(ppc-mmqmlplugin URI org.kde.plasma.mm GENERATE_PLUGIN_SOURCE)
target_sources(ppc-mmqmlplugin PRIVATE
    signalindicator.cpp
    profilesettings.cpp
)


target_link_libraries(ppc-mmqmlplugin PRIVATE
    Qt::Qml
    KF6::ModemManagerQt
    KF6::NetworkManagerQt
    KF6::CoreAddons
    KF6::I18n
    QCoro::DBus
)


ecm_finalize_qml_module(ppc-mmqmlplugin)

=== components/wallpaperimageplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(wallpaperimageplugin URI org.kde.plasma.private.mobileshell.wallpaperimageplugin GENERATE_PLUGIN_SOURCE)
target_sources(wallpaperimageplugin PRIVATE
    wallpaperplugin.cpp
)

# Include qml and js files within ./qml/
file(GLOB_RECURSE _qml_sources
    "qml/*.qml"
    "qml/*.js"
)
ecm_target_qml_sources(wallpaperimageplugin SOURCES ${_qml_sources})

target_link_libraries(wallpaperimageplugin PRIVATE
    Qt::Qml
    Qt::Gui
    Qt::Quick
    Qt::DBus
    Qt::Widgets
    Plasma::Plasma
    Plasma::PlasmaQuick
    KF6::CoreAddons
    KF6::I18n
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::ConfigQml
    KF6::Package
    QCoro::DBus
    PW::KWorkspace
)

ecm_finalize_qml_module(wallpaperimageplugin)

=== components/windowplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(windowplugin URI org.kde.plasma.private.mobileshell.windowplugin GENERATE_PLUGIN_SOURCE)

target_sources(windowplugin PRIVATE windowutil.cpp)

ecm_target_qml_sources(windowplugin SOURCES qml/WindowMaximizedTracker.qml)

target_link_libraries(windowplugin PRIVATE
    Qt::Qml
    Qt::DBus
    Qt::Gui
    Qt::Quick
    Plasma::KWaylandClient
    KF6::Service
    KF6::ConfigCore
)

ecm_finalize_qml_module(windowplugin)

=== containments/panel/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2021 Aleix Pol <apol@kde.org>
# SPDX-FileCopyrightText: 2020-2021 Nicolas Fella <nicolas.fella@kde.org>
# SPDX-FileCopyrightText: 2022 Alexey Andreyev <aa13q@ya.ru>
# SPDX-License-Identifier: GPL-2.0-or-later

plasma_add_applet(org.kde.plasma.mobile.panel
    QML_SOURCES
        qml/main.qml
        qml/LockscreenOverlay.qml
        qml/StatusBarWrapper.qml
        qml/StatusPanel.qml
    CPP_SOURCES
        phonepanel.cpp
)

target_link_libraries(org.kde.plasma.mobile.panel PRIVATE
                      Qt::Gui
                      Qt::DBus
                      Plasma::Plasma
                      KF6::I18n
                      KF6::Service
                      KF6::WindowSystem
                     )

=== kcms/info/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Jonah Brüchert <jbb@kaidan.im>
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

kcmutils_add_qml_kcm(kcm_mobile_info)

target_sources(kcm_mobile_info PRIVATE
    info.cpp
    distroinfo.cpp
    softwareinfo.cpp
    hardwareinfo.cpp
)
target_link_libraries(kcm_mobile_info PRIVATE
    Qt::Core
    Qt::Gui
    KF6::CoreAddons
    KF6::I18n
    KF6::KCMUtilsQuick
    KF6::ConfigCore
    KF6::Solid
)

=== kcms/virtualkeyboard/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Bhushan Shah <bshah@kde.org>
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

set(MALIIT_KEYBOARD_LANGUAGES_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/maliit/keyboard2/languages" CACHE PATH "Directory containing maliit-keyboard data")

add_definitions(-DQT_NO_KEYWORDS)

kcmutils_add_qml_kcm(kcm_mobile_onscreenkeyboard)

target_sources(kcm_mobile_onscreenkeyboard PRIVATE
    languagemodel.cpp
    gsettingsitem.cpp
    virtualkeyboard.cpp
)
target_compile_definitions(kcm_mobile_onscreenkeyboard PRIVATE "MALIIT_KEYBOARD_LANGUAGES_DIR=\"${MALIIT_KEYBOARD_LANGUAGES_DIR}\"")

target_link_libraries(kcm_mobile_onscreenkeyboard PRIVATE
    Qt::Core
    KF6::CoreAddons
    KF6::I18n
    KF6::KCMUtilsQuick
    KF6::ConfigCore
    PkgConfig::GIO
    PkgConfig::GOBJECT
)

=== kwin/mobiletaskswitcher/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

kpackage_install_package(package mobiletaskswitcher effects kwin)

# Copy the script to the build directory so one can run tests without prior
# make install.
file(COPY package/contents package/metadata.json DESTINATION ${CMAKE_BINARY_DIR}/bin/kwin/effects/mobiletaskswitcher)

add_subdirectory(plugin)

=== quicksettings/kscreenosd/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Sebastian Kügler <sebas@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(kscreenosdplugin_SRCS
    kscreenosdplugin.cpp
    kscreenosdutil.cpp
)

add_library(kscreenosdplugin ${kscreenosdplugin_SRCS})

target_link_libraries(kscreenosdplugin
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::DBus
    KF6::Screen
)

set_property(TARGET kscreenosdplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/kscreenosd)
file(COPY qmldir DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/kscreenosd)

install(TARGETS kscreenosdplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/kscreenosd)
install(FILES qmldir ${qml_SRC} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/kscreenosd)

plasma_install_package(package org.kde.plasma.quicksetting.kscreenosd quicksettings)

=== debian/changelog ===
plasma-mobile (6.5.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 6.3.6-4.

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:09:51 +0200

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
           Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               cmake (>= 3.24~),
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 0.6~),
               kwayland-dev,
               kwin-dev (>= 4:6.5.0~),
               libdrm-dev,
               libepoxy-dev,
               libglib2.0-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6bluezqt-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev,
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6modemmanagerqt-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.5.0~),
               libkscreen-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libplasma5support-dev,
               libplasmaactivities-dev,
               libudev-dev,
               libwayland-dev,
               libxcb1-dev,
               milou,
               pkg-kde-tools,
               pkgconf,
               plasma-nano,
               plasma-nm,
               plasma-pa,
               plasma-wayland-protocols (>= 1.8~),
               plasma-workspace-dev (>= 4:6.1.0~),
               qcoro-qt6-dev,
               qml6-module-org-kde-pipewire,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-sensors-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile.git

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: kde-style-breeze (>= 4:6.0.0~),
         kf6-breeze-icon-theme,
         layer-shell-qt (>= 6.0.0~),
         maliit-keyboard,
         milou,
         plasma-nano (>= 6.0.0~),
         plasma-nm (>= 4:6.0.0~),
         plasma-pa (>= 4:6.0.0~),
         plasma-settings (>= 24.02.0~),
         plasma-workspace (>= 6.0.0~),
         powerdevil (>= 6.0.0~),
         xdg-desktop-portal-kde (>= 6.0.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 6.0.0~),
            hfd-service,
            iio-sensor-proxy,
            plasma-mobile-tweaks,
            plasma-workspace-wallpapers,
Replaces: kde-config-mobile-networking (<< 4:6.0.0~),
          plasma-settings (<< 24.02.0~),
Breaks: kde-config-mobile-networking (<< 4:6.0.0~),
        plasma-settings (<< 24.02.0~),
Description: User interface for phones, based on Plasma technologies
 Plasma Mobile is a graphical user interface and ecosystem targeted at mobile
 devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list

## plasma-mobile 6.5.0+p24.04+vstable+git20251021.0931

=== components/raiselockscreenplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: LGPL-2.0-or-later

ecm_add_qml_module(raiselockscreenplugin URI org.kde.plasma.private.mobileshell.raiselockscreenplugin GENERATE_PLUGIN_SOURCE)
target_sources(raiselockscreenplugin PRIVATE
    raiselockscreen.cpp
    utils.h
)

target_link_libraries(raiselockscreenplugin PRIVATE
    Qt::Qml
    Qt::Quick
    Qt::WaylandClient
    Qt::WaylandClientPrivate
    KF6::Service
    KF6::Package
    KF6::I18n
    KF6::ConfigCore
    KF6::Service
    KF6::WindowSystem
    Wayland::Client
)

qt6_generate_wayland_protocol_client_sources(raiselockscreenplugin FILES
    ${PLASMA_WAYLAND_PROTOCOLS_DIR}/kde-lockscreen-overlay-v1.xml)

ecm_finalize_qml_module(raiselockscreenplugin)

=== debian/changelog ===
plasma-mobile (6.5.0+p24.04+vstable+git20251021.0931-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:31:26 +0000

plasma-mobile (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:40:56 +0000

## plasma-mobile 6.5.0+p24.04+vstable+git20251028.0310

=== debian/changelog ===
plasma-mobile (6.5.0+p24.04+vstable+git20251028.0310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 03:11:03 +0000

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
XSBC-Original-Maintainer: Boudewijn Rempt <boud@valdyas.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kglobalaccel-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-kpeople-dev,
               kf6-kservice-dev,
               kf6-modemmanager-qt-dev,
               kf6-networkmanager-qt-dev,
               kwayland-dev,
               kwin-dev,
               libkf6screen-dev,
               libkpipewire-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-workspace-dev,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-sensors-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://plasma-mobile.org
Vcs-Git: https://invent.kde.org/neon/mobile/plasma-mobile.git
Vcs-Browser: https://invent.kde.org/neon/mobile/plasma-mobile
Maintainer: Neon CI <neon@kde.org>

Package: plasma-mobile
Architecture: any
Depends: fonts-mplus,
         fonts-oxygen,
         kf6-bluez-qt,
         kf6-breeze-icon-theme,
         kf6-kactivities,
         kf6-kdeclarative,
         kf6-kio,
         kf6-kirigami2,
         kf6-kpeople,
         kf6-modemmanager-qt,
         kf6-networkmanager-qt,
         kscreenlocker,
         kwin-wayland,
         layer-shell-qt,
         libplasma6,
         milou,
         plasma-nano,
         plasma-workspace,
         powerdevil (>= 4:6.3.80),
         qml6-module-org-kde-pipewire,
         qml6-module-qtquick-localstorage,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-settings (<< 24.02), powerdevil-data (<< 4:6.3.80)
Replaces: plasma-settings (<< 24.02)
Description: Set of components required for Plasma Phone
 Phone components for KDE Plasma.

Package: plasma-phone-components
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Priority: optional
Section: oldlibs
Description: Set of components required for Plasma Phone - transitional
 Phone components for KDE Plasma.
 .
 Dummy package which can be removed.

## plasma-mobile 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 cmake_minimum_required(VERSION 3.24)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== kded/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later OR LicenseRef-KDE-Accepted-GPL

add_subdirectory(autodetectapn)
add_subdirectory(start)

=== components/dpmsplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(dpmsplugin URI org.kde.plasma.private.mobileshell.dpmsplugin GENERATE_PLUGIN_SOURCE)

target_sources(dpmsplugin PRIVATE dpmsutil.cpp)

target_link_libraries(dpmsplugin PRIVATE
    Qt::Qml
    Qt::DBus
    Qt::Gui
    Qt::Quick
    KF6::ScreenDpms
)

ecm_finalize_qml_module(dpmsplugin)

=== components/screenbrightnessplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(screenbrightnessplugin URI org.kde.plasma.private.mobileshell.screenbrightnessplugin GENERATE_PLUGIN_SOURCE)

qt_add_dbus_interfaces(DBUS_SRCS dbus/org.kde.Solid.PowerManagement.Actions.BrightnessControl.xml)

target_sources(screenbrightnessplugin PRIVATE
    screenbrightnessutil.cpp
    ${DBUS_SRCS}
)

target_link_libraries(screenbrightnessplugin PRIVATE
    Qt::Qml
    Qt::DBus
    Qt::Gui
    Qt::Quick
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::Screen
)

ecm_finalize_qml_module(screenbrightnessplugin)

=== components/shellsettingsplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(shellsettingsplugin URI org.kde.plasma.private.mobileshell.shellsettingsplugin GENERATE_PLUGIN_SOURCE)
target_sources(shellsettingsplugin PRIVATE kwinsettings.cpp mobileshellsettings.cpp)

target_link_libraries(shellsettingsplugin PRIVATE
    Qt::Qml
    Qt::DBus
    Qt::Gui
    Qt::Quick
    Plasma::KWaylandClient
    KF6::Service
    KF6::Package
    KF6::KIOGui
    KF6::JobWidgets
)

ecm_finalize_qml_module(shellsettingsplugin)

=== containments/taskpanel/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2016 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2021 Aleix Pol <apol@kde.org>
# SPDX-FileCopyrightText: 2021 Nicolas Fella <nicolas.fella@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

plasma_add_applet(org.kde.plasma.mobile.taskpanel
    QML_SOURCES
        qml/main.qml
        qml/NavigationPanelComponent.qml
    CPP_SOURCES
        taskpanel.cpp
)

target_link_libraries(org.kde.plasma.mobile.taskpanel PRIVATE
                      Qt::Gui
                      Qt::DBus
                      Qt::Qml
                      Qt::Quick
                      Qt::Sensors
                      Plasma::Plasma
                      KF6::Screen
                    )

=== initialstart/modules/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

plasma_install_package(finished org.kde.plasma.mobileinitialstart.finished mobileinitialstart)
plasma_install_package(systemnavigation org.kde.plasma.mobileinitialstart.systemnavigation mobileinitialstart)
add_subdirectory(cellular)
add_subdirectory(prepare)
add_subdirectory(time)
add_subdirectory(wifi)

=== kcms/waydroidintegration/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Florian RICHER <florian.richer@protonmail.com>
# SPDX-License-Identifier: GPL-2.0-or-later

kcmutils_add_qml_kcm(kcm_waydroidintegration SOURCES waydroidintegration.cpp)

target_link_libraries(kcm_waydroidintegration PRIVATE
    Qt::Core
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::I18n
    KF6::KCMUtilsQuick
    Plasma::Plasma
    Plasma::PlasmaQuick
)

=== kded/autodetectapn/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later OR LicenseRef-KDE-Accepted-GPL

set(kded_plasma_mobile_autodetect_apn_SRCS
    autodetectapn.cpp
)

kcoreaddons_add_plugin(kded_plasma_mobile_autodetect_apn SOURCES ${kded_plasma_mobile_autodetect_apn_SRCS} INSTALL_NAMESPACE "kf6/kded")

install(FILES android/apns-full-conf.xml DESTINATION ${KDE_INSTALL_DATADIR}/plasma-mobile-apn-info)

target_link_libraries(kded_plasma_mobile_autodetect_apn PRIVATE
    Qt::Core
    Qt::Xml
    KF6::DBusAddons
    KF6::KIOGui
    KF6::JobWidgets
    KF6::Package
    KF6::NetworkManagerQt
    KF6::ModemManagerQt
    QCoro::DBus
)

=== quicksettings/nightcolor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set_source_files_properties(${KWIN_NIGHTLIGHT_INTERFACE} PROPERTIES NO_NAMESPACE TRUE)
qt_add_dbus_interfaces(DBUS_SRCS ${KWIN_NIGHTLIGHT_INTERFACE})

set(nightcolorplugin_SRCS
    nightcolorutil.cpp
    enum.h
    ${DBUS_SRCS}
)

kconfig_add_kcfg_files(nightcolorplugin_SRCS nightcolorsettings.kcfgc GENERATE_MOC)

ecm_add_qml_module(nightcolorplugin URI "org.kde.plasma.quicksetting.nightcolor" GENERATE_PLUGIN_SOURCE)

target_sources(nightcolorplugin PRIVATE ${nightcolorplugin_SRCS})

target_link_libraries(nightcolorplugin PRIVATE
    Qt::Core
    Qt::DBus
    Qt::Qml
    Qt::Quick
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
)

ecm_finalize_qml_module(nightcolorplugin)

plasma_install_package(package org.kde.plasma.quicksetting.nightcolor quicksettings)

=== quicksettings/powermenu/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

find_package(LibKWorkspace)

ecm_add_qml_module(powermenuplugin URI "org.kde.plasma.quicksetting.powermenu" GENERATE_PLUGIN_SOURCE)

target_sources(powermenuplugin PRIVATE powermenuutil.cpp)

target_link_libraries(powermenuplugin PRIVATE
    Qt::Core
    Qt::Qml
    Qt::Quick
    KF6::CoreAddons
    PW::KWorkspace
)

ecm_finalize_qml_module(powermenuplugin)

plasma_install_package(package org.kde.plasma.quicksetting.powermenu quicksettings)

=== quicksettings/screenshot/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_org.kde.plasma.quicksetting.screenshot\")

qt_add_dbus_interfaces(DBUS_SRCS dbus/org.kde.KWin.ScreenShot2.xml)

set(screenshotplugin_SRCS
    screenshotplugin.cpp
    screenshotutil.cpp
    ${DBUS_SRCS}
)

add_library(screenshotplugin ${screenshotplugin_SRCS})

target_link_libraries(screenshotplugin
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::DBus
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::Notifications
)

set_property(TARGET screenshotplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/screenshot)
file(COPY qmldir DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/screenshot)

install(TARGETS screenshotplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/screenshot)
install(FILES qmldir ${qml_SRC} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/screenshot)
install(FILES plasma_mobile_quicksetting_screenshot.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

plasma_install_package(package org.kde.plasma.quicksetting.screenshot quicksettings)

=== debian/changelog ===
plasma-mobile (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:19:13 +0100

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
           Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               cmake (>= 3.24~),
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 0.6~),
               kwayland-dev,
               kwin-dev (>= 4:6.5.1~),
               libdrm-dev,
               libepoxy-dev,
               libglib2.0-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6bluezqt-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev,
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6modemmanagerqt-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.5.1~),
               libkscreen-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libplasma5support-dev,
               libplasmaactivities-dev,
               libudev-dev,
               libwayland-dev,
               libxcb1-dev,
               milou,
               pkg-kde-tools,
               pkgconf,
               plasma-nano,
               plasma-nm,
               plasma-pa,
               plasma-wayland-protocols (>= 1.8~),
               plasma-workspace-dev (>= 4:6.1.0~),
               qcoro-qt6-dev,
               qml6-module-org-kde-pipewire,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-sensors-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile.git

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: kde-style-breeze (>= 4:6.0.0~),
         kf6-breeze-icon-theme,
         layer-shell-qt (>= 6.0.0~),
         maliit-keyboard,
         milou,
         plasma-nano (>= 6.0.0~),
         plasma-nm (>= 4:6.0.0~),
         plasma-pa (>= 4:6.0.0~),
         plasma-settings (>= 24.02.0~),
         plasma-workspace (>= 6.0.0~),
         powerdevil (>= 6.0.0~),
         xdg-desktop-portal-kde (>= 6.0.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 6.0.0~),
            hfd-service,
            iio-sensor-proxy,
            plasma-mobile-tweaks,
            plasma-workspace-wallpapers,
Replaces: kde-config-mobile-networking (<< 4:6.0.0~),
          plasma-settings (<< 24.02.0~),
Breaks: kde-config-mobile-networking (<< 4:6.0.0~),
        plasma-settings (<< 24.02.0~),
Description: User interface for phones, based on Plasma technologies
 Plasma Mobile is a graphical user interface and ecosystem targeted at mobile
 devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade

## plasma-mobile 6.5.1+p24.04+vstable+git20251029.0838

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 cmake_minimum_required(VERSION 3.24)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
plasma-mobile (6.5.1+p24.04+vstable+git20251029.0838-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:38:49 +0000

plasma-mobile (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:10:13 +0000

## plasma-mobile 6.5.1+p24.04+vstable+git20251030.0507

=== debian/changelog ===
plasma-mobile (6.5.1+p24.04+vstable+git20251030.0507-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 05:07:44 +0000

## plasma-mobile 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 project(plasma-mobile)
 set(PROJECT_VERSION "6.5.2")
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== components/waydroidintegrationplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Florian RICHER <florian.richer@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

set(waydroidintegrationplugin_SRCS
    waydroidapplicationdbusobject.cpp
    waydroidapplicationdbusclient.cpp
    waydroidapplicationlistmodel.cpp
    waydroiddbusclient.cpp
    waydroiddbusobject.cpp
)

qt_generate_dbus_interface(
    ${CMAKE_CURRENT_SOURCE_DIR}/waydroiddbusobject.h
    org.kde.plasmashell.Waydroid.xml
    OPTIONS -s -m -P
)
qt_generate_dbus_interface(
    ${CMAKE_CURRENT_SOURCE_DIR}/waydroidapplicationdbusobject.h
    org.kde.plasmashell.WaydroidApplication.xml
    OPTIONS -s -m -P
)
qt_add_dbus_adaptor(waydroidintegrationplugin_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.Waydroid.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/waydroiddbusobject.h WaydroidDBusObject
)
qt_add_dbus_adaptor(waydroidintegrationplugin_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.WaydroidApplication.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/waydroidapplicationdbusobject.h WaydroidApplicationDBusObject
)
qt_add_dbus_interface(waydroidintegrationplugin_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.Waydroid.xml
    plasmashellwaydroidinterface
)
qt_add_dbus_interface(waydroidintegrationplugin_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.WaydroidApplication.xml
    plasmashellwaydroidapplicationinterface
)
install(FILES 
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.Waydroid.xml
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.WaydroidApplication.xml
    DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
)

ecm_add_qml_module(waydroidintegrationplugin URI org.kde.plasma.private.mobileshell.waydroidintegrationplugin GENERATE_PLUGIN_SOURCE)
target_sources(waydroidintegrationplugin PRIVATE ${waydroidintegrationplugin_SRCS} ${RESOURCES})

target_link_libraries(waydroidintegrationplugin PRIVATE
    Qt::DBus
    Qt::Gui
    Qt::Qml
    Qt::Quick
    KF6::AuthCore
    KF6::ConfigCore
    KF6::I18n
    QCoro::Core
    QCoro::DBus
    QCoro::Qml
)

ecm_finalize_qml_module(waydroidintegrationplugin)

ecm_qt_declare_logging_category(waydroidintegrationplugin
    HEADER waydroidintegrationplugin_debug.h
    IDENTIFIER WAYDROIDINTEGRATIONPLUGIN
    DEFAULT_SEVERITY Warning
    CATEGORY_NAME org.kde.plasma.private.mobileshell.waydroidintegrationplugin
    DESCRIPTION "Plugin to add Waydroid Integration on Plasma"
)

add_subdirectory(kauth)

=== containments/homescreens/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(folio)
add_subdirectory(halcyon)

=== kcms/navigation/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Luis Büchi <luis.buechi@kdemail.net>
# SPDX-License-Identifier: GPL-2.0-or-later

kcmutils_add_qml_kcm(kcm_navigation SOURCES kcm.cpp)

target_link_libraries(kcm_navigation PRIVATE
    Qt::Core
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::I18n
    KF6::KCMUtilsQuick
)

=== quicksettings/record/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(recordplugin URI "org.kde.plasma.quicksetting.record" GENERATE_PLUGIN_SOURCE)

target_sources(recordplugin PRIVATE recordutil.cpp)

target_link_libraries(recordplugin PRIVATE
    Qt::Core
    Qt::DBus
    Qt::Qml
    Qt::Quick
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::Notifications
    K::KPipeWire
    K::KPipeWireRecord
)

ecm_finalize_qml_module(recordplugin)

install(FILES plasma_mobile_quicksetting_record.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

plasma_install_package(package org.kde.plasma.quicksetting.record quicksettings)

=== quicksettings/screenrotation/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(screenrotationplugin_SRCS
    screenrotationplugin.cpp
    screenrotationutil.cpp
)

add_library(screenrotationplugin ${screenrotationplugin_SRCS})

target_link_libraries(screenrotationplugin
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::DBus
    Qt::Sensors
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::Notifications
    KF6::Screen
)

set_property(TARGET screenrotationplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/screenrotation)
file(COPY qmldir DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/screenrotation)

install(TARGETS screenrotationplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/screenrotation)
install(FILES qmldir ${qml_SRC} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/screenrotation)

plasma_install_package(package org.kde.plasma.quicksetting.screenrotation quicksettings)

=== containments/homescreens/folio/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.mobile.homescreen.folio\")

plasma_add_applet(org.kde.plasma.mobile.homescreen.folio
    QML_SOURCES
        qml/AppDrawer.qml
        qml/AppDrawerGrid.qml
        qml/AppDrawerHeader.qml
        qml/DelegateDragItem.qml
        qml/FavouritesBar.qml
        qml/FolderView.qml
        qml/FolderViewTitle.qml
        qml/FolioHomeScreen.qml
        qml/HomeScreenPage.qml
        qml/HomeScreenPages.qml
        qml/main.qml
        qml/PlaceholderDelegate.qml
        qml/WidgetDragItem.qml
    CPP_SOURCES
        applicationlistmodel.cpp
        delegatetoucharea.cpp
        dragstate.cpp
        favouritesmodel.cpp
        folioapplication.cpp
        folioapplicationfolder.cpp
        foliodelegate.cpp
        foliosettings.cpp
        foliowidget.cpp
        homescreen.cpp
        homescreenstate.cpp
        pagelistmodel.cpp
        pagemodel.cpp
        widgetcontainer.cpp
        widgetsmanager.cpp
        windowlistener.cpp
)

ecm_target_qml_sources(org.kde.plasma.mobile.homescreen.folio SOURCES
    qml/delegate/AbstractDelegate.qml
    qml/delegate/AppDelegate.qml
    qml/delegate/AppFolderDelegate.qml
    qml/delegate/DelegateAppIcon.qml
    qml/delegate/DelegateFolderIcon.qml
    qml/delegate/DelegateIconLoader.qml
    qml/delegate/DelegateLabel.qml
    qml/delegate/DelegateShadow.qml
    qml/delegate/KeyboardHighlight.qml
    qml/delegate/WidgetDelegate.qml
    qml/delegate/WidgetDelegateConfig.qml
    PATH delegate
)

ecm_target_qml_sources(org.kde.plasma.mobile.homescreen.folio SOURCES
    qml/private/ConfirmDeleteFolderDialogLoader.qml
    qml/private/ContextMenuLoader.qml
    qml/private/DarkenEffect.qml
    qml/private/Orientation.qml
    qml/private/WidgetHandlePosition.qml
    qml/private/WidgetResizeHandle.qml
    qml/private/WidgetResizeHandleFrame.qml
    PATH private
)

ecm_target_qml_sources(org.kde.plasma.mobile.homescreen.folio SOURCES
    qml/settings/AppletListViewer.qml
    qml/settings/SettingsButton.qml
    qml/settings/SettingsComponent.qml
    qml/settings/SettingsWindow.qml
    PATH settings
)

target_link_libraries(org.kde.plasma.mobile.homescreen.folio PRIVATE
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Plasma::Plasma
    Plasma::PlasmaQuick
    KF6::I18n
    KF6::Service
    KF6::KIOGui
    KF6::Notifications
    Plasma::KWaylandClient
    KF6::WindowSystem
    KF6::JobWidgets
)

=== initialstart/modules/cellular/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(cellularplugin_SRCS
    cellularplugin.cpp
)

add_library(cellularplugin ${cellularplugin_SRCS})

target_link_libraries(cellularplugin
    Qt::Core
    Qt::DBus
    Qt::Quick
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::Notifications
    KF6::NetworkManagerQt
    KF6::ModemManagerQt
)

set_property(TARGET cellularplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/mobileinitialstart/cellular)
file(COPY qmldir DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/mobileinitialstart/cellular)

install(TARGETS cellularplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/mobileinitialstart/cellular)
install(FILES qmldir ${qml_SRC} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/mobileinitialstart/cellular)

plasma_install_package(package org.kde.plasma.mobileinitialstart.cellular mobileinitialstart)

=== debian/changelog ===
plasma-mobile (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:38:02 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                extra-cmake-modules (>= 6.18.0~),
                kirigami-addons-dev (>= 0.6~),
                kwayland-dev,
-               kwin-dev (>= 4:6.5.1~),
+               kwin-dev (>= 4:6.5.2~),
                libdrm-dev,
                libepoxy-dev,
                libglib2.0-dev,
@@ -35,7 +35,7 @@
                libkf6notifications-dev (>= 6.18.0~),
                libkf6package-dev (>= 6.18.0~),
                libkf6service-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.1~),
+               libkpipewire-dev (>= 6.5.2~),
                libkscreen-dev,
                liblayershellqtinterface-dev,
                libplasma-dev,
